Loading...
Searching...
No Matches
Opm::UDQASTNode Class Reference

## Public Member Functions

| UDQASTNode (UDQTokenType type_arg)
| UDQASTNode (double scalar_value)
| UDQASTNode (UDQTokenType type_arg, const std::variant< std::string, double > &value_arg, const UDQASTNode &left_arg)
| UDQASTNode (UDQTokenType type_arg, const std::variant< std::string, double > &value_arg, const UDQASTNode &left, const UDQASTNode &right)
| UDQASTNode (UDQTokenType type_arg, const std::variant< std::string, double > &value_arg)
| UDQASTNode (UDQTokenType type_arg, const std::variant< std::string, double > &value_arg, const std::vector< std::string > &selector)
UDQSet | eval (UDQVarType eval_target, const UDQContext &context) const
bool | valid () const
std::set< UDQTokenType > | func_tokens () const
void | update_type (const UDQASTNode &arg)
void | set_left (const UDQASTNode &arg)
void | set_right (const UDQASTNode &arg)
void | scale (double sign_factor)
UDQASTNode * | get_left () const
UDQASTNode * | get_right () const
bool | operator== (const UDQASTNode &data) const
void | required_summary (std::unordered_set< std::string > &summary_keys) const
void | requiredObjects (UDQ::RequisiteEvaluationObjects &objects) const
| Populate collection of requisite objects needed to evaluate this node.
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static UDQASTNode | serializationTestObject ()

## Public Attributes

UDQVarType | var_type { UDQVarType::NONE }

## Member Function Documentation

## requiredObjects()

void Opm::UDQASTNode::requiredObjects | ( | UDQ::RequisiteEvaluationObjects & | objects | ) | const

Populate collection of requisite objects needed to evaluate this node.

Parameters

  [in,out] | objects | Specific Schedule objects named in containing UDQ definition. On exit also contains the specific objects needed by this node and, recursively, its children.

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/UDQ/UDQASTNode.hpp
- opm/input/eclipse/Schedule/UDQ/UDQASTNode.cpp